Update an Analytics Record - Cognigy Documentation

Update an Analytics Record

PATCH /v2.0/analytics

Example Code

cURL

curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/analytics \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "contactId": "contactId",
  "projectId": "projectId",
  "sessionId": "sessionId",
  "inputId": "inputId",
  "properties": {
    "state": "state",
    "mode": "mode",
    "userType": "user userType",
    "channel": "channel",
    "flowLanguage": "new flowLanguage",
    "intent": "new intent",
    "intentFlow": "new intentFlow",
    "intentScore": 0,
    "flowName": "new flowName",
    "inHandoverRequest": false,
    "inHandoverConversation": false,
    "localeName": "new localeName",
    "rating": 9,
    "ratingComment": "new ratingComment",
    "entrypointType": "new entrypointType",
    "endpointName": "new endpointName",
    "endpointUrlToken": "new endpointUrlToken",
    "handoverEscalations": 2,
    "snapshotName": "new snapshotName",
    "slots": "new slots",
    "custom1": "new custom1",
    "custom2": "new custom2",
    "custom3": "new custom3",
    "custom4": "new custom4",
    "custom5": "new custom5",
    "custom6": "new custom6",
    "custom7": "new custom7",
    "custom8": "new custom8",
    "custom9": "new custom9",
    "custom10": "new custom10"
  }
}  
'

Python

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/analytics"

payload = {
    "contactId": "contactId",
    "projectId": "projectId",
    "sessionId": "sessionId",
    "inputId": "inputId",
    "properties": {
        "state": "state",
        "mode": "mode",
        "userType": "user userType",
        "channel": "channel",
        "flowLanguage": "new flowLanguage",
        "intent": "new intent",
        "intentFlow": "new intentFlow",
        "intentScore": 0,
        "flowName": "new flowName",
        "inHandoverRequest": False,
        "inHandoverConversation": False,
        "localeName": "new localeName",
        "rating": 9,
        "ratingComment": "new ratingComment",
        "entrypointType": "new entrypointType",
        "endpointName": "new endpointName",
        "endpointUrlToken": "new endpointUrlToken",
        "handoverEscalations": 2,
        "snapshotName": "new snapshotName",
        "slots": "new slots",
        "custom1": "new custom1",
        "custom2": "new custom2",
        "custom3": "new custom3",
        "custom4": "new custom4",
        "custom5": "new custom5",
        "custom6": "new custom6",
        "custom7": "new custom7",
        "custom8": "new custom8",
        "custom9": "new custom9",
        "custom10": "new custom10"
    }
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    contactId: 'contactId',
    projectId: 'projectId',
    sessionId: 'sessionId',
    inputId: 'inputId',
    properties: {
      state: 'state',
      mode: 'mode',
      userType: 'user userType',
      channel: 'channel',
      flowLanguage: 'new flowLanguage',
      intent: 'new intent',
      intentFlow: 'new intentFlow',
      intentScore: 0,
      flowName: 'new flowName',
      inHandoverRequest: false,
      inHandoverConversation: false,
      localeName: 'new localeName',
      rating: 9,
      ratingComment: 'new ratingComment',
      entrypointType: 'new entrypointType',
      endpointName: 'new endpointName',
      endpointUrlToken: 'new endpointUrlToken',
      handoverEscalations: 2,
      snapshotName: 'new snapshotName',
      slots: 'new slots',
      custom1: 'new custom1',
      custom2: 'new custom2',
      custom3: 'new custom3',
      custom4: 'new custom4',
      custom5: 'new custom5',
      custom6: 'new custom6',
      custom7: 'new custom7',
      custom8: 'new custom8',
      custom9: 'new custom9',
      custom10: 'new custom10'
    }
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/analytics', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Error Responses

Response

204: Successfully updated the Analytics Record.